> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 南非 — 南非兰特代收申请

> 南非 — 南非兰特代收申请（POST /zar/collect/apply）：使用ZAR对应的appId。南非代收支持 Pay with Bank / Instant EFT（payType 固定传 BANK_TRANSFER），金额范围：2-150000；关键请求参数含 orderId、name、phone、email。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [南非支付接口](https://doc.haipay.net/zh/history/V20260701/payments/local/south-africa.md)
* [HaiPay API 文档简介](https://doc.haipay.net/zh/history/V20260701/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/zh/history/V20260701/guide/config_settings_and_signature_rules_guide.md)
* [南非 — 南非兰特代收查询 (POST /zar/collect/query)](https://doc.haipay.net/zh/history/V20260701/api-reference/zar/collect-query.md)
* [处理异步通知并验证签名](https://doc.haipay.net/zh/operations/callback.md)
* [查阅接口响应结构与错误码](https://doc.haipay.net/zh/history/V20260701/guide/error_response_appendix.md)
* [查询代收支付类型与编码 (payType)](https://doc.haipay.net/zh/history/V20260701/resources/cashin-code-list.md)


## OpenAPI

````yaml docs/zh/api-reference/zar/zar.openapi.json POST /zar/collect/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /zar/collect/apply:
    post:
      tags: []
      summary: 南非兰特代收申请
      description: >-
        使用ZAR对应的appId。南非代收支持 Pay with Bank / Instant EFT（payType 固定传
        BANK_TRANSFER），金额范围：2-150000
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号
                  maxLength: 48
                name:
                  type: string
                  description: 付款人姓名
                phone:
                  type: string
                  description: 付款人手机号
                email:
                  type: string
                  description: 付款人电子邮箱
                  format: email
                amount:
                  type: string
                  description: 交易金额（单位：ZAR），最多两位小数，范围：2-150000
                payType:
                  type: string
                  description: 支付方式类型：BANK_TRANSFER
                  enum:
                    - BANK_TRANSFER
                inBankCode:
                  type: string
                  description: 支付方式编码
                callBackUrl:
                  type: string
                  description: 支付成功后的跳转地址
                  format: uri
                callBackFailUrl:
                  type: string
                  description: 支付失败后的跳转地址
                  format: uri
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注（交易标题，商品名称，支付原因）
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID userId），用于风控系统，必须真实有效，否则会影响交易。
                    格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - name
                - phone
                - email
                - amount
                - payType
                - inBankCode
                - callBackUrl
                - callBackFailUrl
                - subject
                - partnerUserId
                - sign
            example:
              appId: 1054
              orderId: M233323000059
              name: Sipho Nkosi
              phone: '0712345678'
              email: sipho.nkosi@gmail.com
              amount: '500.00'
              payType: BANK_TRANSFER
              inBankCode: FNB
              callBackUrl: https://merchant.com/payment/success
              callBackFailUrl: https://merchant.com/payment/fail
              notifyUrl: https://merchant.com/api/notify
              subject: Payment for order
              body: Premium subscription
              partnerUserId: '149597870'
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 提示信息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      payUrl:
                        type: string
                        description: 支付链接
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: true
                additionalProperties: true
              examples:
                success:
                  summary: 成功
                  value:
                    status: '1'
                    error: '00000000'
                    msg: ''
                    data:
                      orderId: M233323000059
                      orderNo: '6023071013539074'
                      payUrl: https://pay.haipay.asia/cashier/1L9zQS2
                      sign: >-
                        af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
                param_error:
                  summary: 参数校验失败
                  value:
                    status: '0'
                    error: '1001'
                    msg: orderId can not blank
                    data: null
                sign_error:
                  summary: 签名错误
                  value:
                    status: '0'
                    error: '1002'
                    msg: Invalid request signature
                    data: null
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.